package com.example.android;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class ActivityC extends Activity {

	private String activityName;
	private TextView statusView;
	private TextView statusAllView;
	private StatusTracker statusTracker = StatusTracker.getInstance();

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_c);
		activityName = getString(R.string.activity_c_label);
		statusView = (TextView) findViewById(R.id.status_view_c);
		statusAllView = (TextView) findViewById(R.id.status_view_all_c);
		statusTracker.setStatus(activityName, getString(R.string.on_create));
		Utils.printStatus(statusView, statusAllView);
	}

	@Override
	protected void onStart() {
		super.onStart();
		statusTracker.setStatus(activityName, getString(R.string.on_start));
		Utils.printStatus(statusView, statusAllView);
	}

	@Override
	protected void onRestart() {
		super.onRestart();
		statusTracker.setStatus(activityName, getString(R.string.on_restart));
		Utils.printStatus(statusView, statusAllView);
	}

	@Override
	protected void onResume() {
		super.onResume();
		statusTracker.setStatus(activityName, getString(R.string.on_resume));
		Utils.printStatus(statusView, statusAllView);
	}

	@Override
	protected void onPause() {
		super.onPause();
		statusTracker.setStatus(activityName, getString(R.string.on_pause));
		Utils.printStatus(statusView, statusAllView);
	}

	@Override
	protected void onStop() {
		super.onStop();
		statusTracker.setStatus(activityName, getString(R.string.on_stop));
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		statusTracker.setStatus(activityName, getString(R.string.on_destroy));
	}

	public void startActivityA(View v) {
		Intent intent = new Intent(ActivityC.this, ActivityA.class);
		startActivity(intent);
	}

	public void startActivityB(View v) {
		Intent intent = new Intent(ActivityC.this, ActivityB.class);
		startActivity(intent);
	}

	public void finishActivityC(View v) {
		ActivityC.this.finish();
	}
}
