package com.example.android;

import java.util.*;

public class StatusTracker {
	private Map<String, String> statusMap;
	private List<String> methodList;
	private static StatusTracker ourInstance = new StatusTracker();
	private static final String STATUS_SUFFIX = "ed";

	public static StatusTracker getInstance() {
		return ourInstance;
	}

	private StatusTracker() {
		statusMap = new HashMap<String, String>();
		methodList = new ArrayList<String>();
	}

	public List<String> getMethodList() {
		return methodList;
	}

	public void clear() {
		methodList.clear();
		statusMap.clear();
	}

	public void setStatus(String activityName, String status) {
		methodList.add(activityName + "." + status + "()");
		statusMap.put(activityName, status);
	}

	public String getStatus(String activityName) {
		String status = statusMap.get(activityName);
		status = status.substring(2, status.length());
		status = status + STATUS_SUFFIX;
		return status;
	}

	public Set<String> keySet() {
		return statusMap.keySet();
	}
}
